These docs are for v0.0.1. Click to read the latest docs for v1.0.63.

List Numbers

This API requires the Account Administrator role.

List phone numbers with accountId

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
length between 1 and 6

The unique 6 character internal id that represents the customer account

Query Params
int32
≥ 1
Defaults to 1

The page number of the records to retrieve. Default value is 1.

int32
1 to 50
Defaults to 5

The max number of records to retrieve per page. Default value is 5, Any value like 5,10,15,20,25,30 is allowed. If value comes more than 1000 then max 1000 records will be returned.

string
length ≤ 255
(([a-zA-Z]+[:=]+[\*]*[^,*]*[\*]*[,]{0,1}){1}){1,}[^,]$

The possible fields you can filter on are phoneNumber, displayName, countryCode, type. The allowed format:

  • Begins with the field name to be filtered, followed by a colon and:
    • Either an exact string to match, or
    • A string expression including the * wildcard character

Examples include 'phoneNumber:+35311234567', 'countryCode:IN'

string
length ≤ 255
([a-zA-Z]+[,]*|([a-zA-Z]+(( asc)|( desc))[,]*){1,})+(?<!,)$

Field name on which ordering needs to be performed. The possible fields that can be ordered by are phoneNumber, displayName, countryCode, type.
Field names are case-senstive (should be written as it is in description).
The default sorting order is 'phoneNumber ascending'.
To specify descending order, a suffix ' desc' should be apended. For example, "name" for ascending or "name desc" for descending".

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Choose an example:
application/json
application/problem+json